#!/bin/sh 
# setup the desktop-files and copy them to the desktop

# 1) setup the desktop file for AnisView
#################################################################
desktopfile=$PWD/AnisView.desktop
if [ -e $desktopfile ]; then
  /bin/rm -f $desktopfile
fi
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Comment=AnisView, BRDF-Software' >> ${desktopfile}
echo 'Comment[en_US]=AnisView, BRDF-Software' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Exec='"$PWD"'/startAnisView.sh' >> ${desktopfile}
echo 'GenericName=AnisView' >> ${desktopfile}
echo 'GenericName[en_US]=AnisView' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/AnisView.png' >> ${desktopfile}
echo 'Path='"$PWD" >> ${desktopfile}
echo 'Name=AnisView' >> ${desktopfile}
echo 'Name[en_US]=AnisView' >> ${desktopfile}
echo 'StartupNotify=true' >> ${desktopfile}
echo 'Terminal=false' >> ${desktopfile}
echo 'Type=Application' >> ${desktopfile}

# make it executable and copy it to the desktop
chmod 755 ${desktopfile}
# if it exist already remove it and use the new one
dtfile=${HOME}/Desktop/AnisView.desktop
if [ -e $dtfile ]; then
  /bin/rm -f $dtfile
fi
/bin/mv ${desktopfile} ${dtfile}

#################################################################
# find out which dialog type to use, most basic is "echo" 
# then test for others...
DIALOG=echo
if which dialog 2>&1>/dev/null; then DIALOG=`which dialog`;fi
if which Xdialog 2>&1>/dev/null; then DIALOG=`which Xdialog`;fi

# 4) finish note
#################################################################
if [ $DIALOG = "echo" ]; then
  echo "             AnisView Installer"
  echo "=================================================="
  echo "Installation finished successfully!"
  echo " "
  echo "The installer created the folder 'AnisView'"
  echo "and the desktop launcher 'AnisView'."
  echo "To uninstall AnisView simply delete these items."
  echo "You can now start AnisView via the 'AnisView'"
  echo "desktop launcher or the script 'startAnisView.sh' "
  echo "inside the AnisView folder. "
fi

if [ $(echo $DIALOG|grep -c /dia) == 1 ]; then
   $DIALOG --title "AnisView Installer" \
   --msgbox "            Installation finished successfully! \n \nThe installer created the folder 'AnisView' and the desktop launcher: 'AnisView'.\nTo uninstall AnisView simply delete these items.\n \nYou can now start AnisView via the 'AnisView' desktop launcher or the script 'startAnisView.sh' inside the AnisView folder." 12 70
fi


if [ $(echo $DIALOG|grep -c Xdia) == 1 ]; then
  $DIALOG --title "AnisView Installer" --left \
   --msgbox "            Installation finished successfully! \n \nThe installer created the folder 'AnisView' and the desktop \nlauncher: 'AnisView'. To uninstall AnisView simply delete these items.\n \nYou can now start AnisView via the 'AnisView' desktop launcher or \nthe script 'startAnisView.sh' inside the AnisView folder." 18 100
fi

exit 0;
